import request from "@/utils/request.js";


/**
 * @description 获取邀请码
 * @params 
 * @returns 
 */
export function inviteCodeApi() {
  return request({
    url: `api/user/inviteCode`,
    method: 'get'
  })
}

/**
 * @description 提交邀请码
 * @params code
 * @returns 
 */
export function useCodeApi(code) {
  return request({
    url: `api/user/useCode?code=${code}`,
    method: 'get'
  })
}


/**
 * @description 查询是否使用过邀请码
 * @params 
 * @returns 
 */
export function isUseApi() {
  return request({
    url: `api/user/isUse`,
    method: 'get'
  })
}

/**
 * @description 查询使用过 我的邀请码 的用户列表
 * @params 
 * @returns 
 */
export function useCodeUserApi() {
  return request({
    url: `api/user/getUseCodeUser`,
    method: 'get'
  })
}

/**
 * @description 修改用户名和头像
 * @params 
 * @returns 
 */
export function updUserInfoApi(data) {
  return request({
    url: `api/user/updUserInfo`,
    method: 'post',
    data
  })
}

/**
 * @description 获取用户信息
 * @params 
 * @returns 
 */
export function getUserInfoApi() {
  return request({
    url: `api/user/getUserInfo`,
    method: 'get',
  })
}